"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const _pluginVue_exportHelper = require("../../../../../_virtual/_plugin-vue_export-helper.js");
const index$1 = require("../../../../../node_modules/element-plus/es/components/timeline/index.js");
const index = require("../../../../../node_modules/element-plus/es/components/scrollbar/index.js");
const _ = (c) => (Vue.pushScopeId("data-v-269c174b"), c = c(), Vue.popScopeId(), c), C = { class: "flowChartTimeline" }, x = { class: "header" }, B = { class: "app nodeName" }, D = { class: "createTime" }, E = {
  key: 0,
  class: "appContent"
}, S = { class: "openTask" }, V = { style: { "font-weight": "bold" } }, z = {
  key: 0,
  class: "appAssignee"
}, F = {
  key: 1,
  class: "apping"
}, $ = {
  key: 2,
  class: "apping"
}, j = { class: "duration" }, q = {
  key: 1,
  class: "appContent"
}, G = { class: "openTask sign" }, H = { style: { "font-weight": "bold" } }, J = { class: "appAssignee" }, K = { key: 0 }, M = {
  key: 1,
  style: { color: "#999" }
}, O = /* @__PURE__ */ _(() => /* @__PURE__ */ Vue.createElementVNode("span", { class: "apping" }, " 审批中... ", -1)), P = { class: "duration" }, Q = { class: "header" }, R = { class: "nodeName" }, U = { class: "createTime" }, W = {
  key: 0,
  class: "content"
}, X = { class: "app-header" }, Y = { class: "approveType" }, Z = { class: "duration" }, ss = {
  key: 0,
  class: "app-content"
}, es = { class: "approveIdea" }, ts = { class: "app-footer" }, as = { class: "endTime" }, os = /* @__PURE__ */ _(() => /* @__PURE__ */ Vue.createElementVNode("i", { class: "el-icon-time" }, null, -1)), is = {
  key: 0,
  class: "assignee"
}, ns = { class: "assignee-name" }, cs = /* @__PURE__ */ _(() => /* @__PURE__ */ Vue.createElementVNode("div", { class: "addNodeList" }, null, -1)), ps = {
  key: 1,
  class: "signContent"
}, _s = { class: "content" }, ls = { class: "app-header" }, rs = { class: "approveType" }, ds = { class: "duration" }, hs = {
  key: 0,
  class: "app-content"
}, ms = { class: "approveIdea" }, us = { class: "app-footer" }, ks = { class: "endTime" }, vs = /* @__PURE__ */ _(() => /* @__PURE__ */ Vue.createElementVNode("i", { class: "el-icon-time" }, null, -1)), ys = { class: "assignee" }, Ts = { class: "assignee-name" }, fs = /* @__PURE__ */ _(() => /* @__PURE__ */ Vue.createElementVNode("div", { class: "addNodeList" }, null, -1)), gs = {
  key: 1,
  class: "content"
}, Ns = /* @__PURE__ */ _(() => /* @__PURE__ */ Vue.createElementVNode("div", { class: "approve" }, [
  /* @__PURE__ */ Vue.createElementVNode("span", { class: "point" }),
  /* @__PURE__ */ Vue.createElementVNode("span", { class: "iconfont icon-flow-default approveIcon approve_color_11" }),
  /* @__PURE__ */ Vue.createElementVNode("span", { class: "approveName approve_color_11" }, "没有查看权限")
], -1)), Ls = [
  Ns
], bs = {
  __name: "timeline",
  props: {
    hisTaskList: {
      type: Array,
      default: []
    },
    taskList: {
      type: Array,
      default: []
    }
  },
  setup(c) {
    function k(p) {
      let l = "";
      for (let r in p)
        l += p[r].opName, r < p.length - 1 && (l += ",");
      return l;
    }
    function T(p) {
      return p[0].opNo == window.$store.getters.user.opNo;
    }
    return (p, l) => {
      const r = index$1.ElTimelineItem, f = index$1.ElTimeline, g = index.ElScrollbar;
      return Vue.openBlock(), Vue.createElementBlock("div", C, [
        Vue.createVNode(g, null, {
          default: Vue.withCtx(() => [
            Vue.createVNode(f, null, {
              default: Vue.withCtx(() => [
                (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(c.taskList, (e) => (Vue.openBlock(), Vue.createBlock(r, {
                  "hide-timestamp": true,
                  color: "var(--el-color-primary)",
                  size: "large"
                }, {
                  default: Vue.withCtx(() => [
                    Vue.createElementVNode("div", x, [
                      Vue.createElementVNode("span", B, Vue.toDisplayString(e.name), 1),
                      Vue.createElementVNode("span", D, Vue.toDisplayString(e.createTime), 1)
                    ]),
                    e.taskType == "task" || e.taskType == "callActivity" || e.taskType == "bizTask" ? (Vue.openBlock(), Vue.createElementBlock("div", E, [
                      Vue.createElementVNode("div", S, [
                        Vue.createElementVNode("span", V, [
                          e.assignee ? (Vue.openBlock(), Vue.createElementBlock("span", z, Vue.toDisplayString(k(e.assignee)), 1)) : Vue.createCommentVNode("", true),
                          e.taskType == "bizTask" || e.taskType == "callActivity" ? (Vue.openBlock(), Vue.createElementBlock("span", F, " 办理中... ")) : (Vue.openBlock(), Vue.createElementBlock("span", $, " 审批中... "))
                        ]),
                        Vue.createElementVNode("span", j, "已送达：" + Vue.toDisplayString(e.duration), 1)
                      ])
                    ])) : Vue.createCommentVNode("", true),
                    e.taskType == "signTask" ? (Vue.openBlock(), Vue.createElementBlock("div", q, [
                      (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(e.signTaskList, (i) => (Vue.openBlock(), Vue.createElementBlock("div", G, [
                        Vue.createElementVNode("span", H, [
                          Vue.createElementVNode("span", J, [
                            T(i.assignee) ? (Vue.openBlock(), Vue.createElementBlock("span", K, Vue.toDisplayString(k(i.assignee)), 1)) : (Vue.openBlock(), Vue.createElementBlock("span", M, "其他处理人"))
                          ]),
                          O
                        ]),
                        Vue.createElementVNode("span", P, "已送达：" + Vue.toDisplayString(i.duration), 1)
                      ]))), 256))
                    ])) : Vue.createCommentVNode("", true)
                  ]),
                  _: 2
                }, 1024))), 256)),
                (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(c.hisTaskList, (e) => (Vue.openBlock(), Vue.createBlock(r, { "hide-timestamp": true }, {
                  default: Vue.withCtx(() => [
                    Vue.createElementVNode("div", Q, [
                      Vue.createElementVNode("span", R, Vue.toDisplayString(e.name), 1),
                      Vue.createElementVNode("span", U, Vue.toDisplayString(e.createTime), 1)
                    ]),
                    e.taskType == "task" || e.taskType == "callActivity" ? (Vue.openBlock(), Vue.createElementBlock("div", W, [
                      Vue.createElementVNode("div", X, [
                        Vue.createElementVNode("span", Y, Vue.toDisplayString(e.approveName || "办理完成"), 1),
                        Vue.createElementVNode("span", Z, "耗时：" + Vue.toDisplayString(e.duration), 1)
                      ]),
                      e.approveDesc ? (Vue.openBlock(), Vue.createElementBlock("div", ss, [
                        Vue.createElementVNode("div", es, Vue.toDisplayString(e.approveDesc), 1)
                      ])) : Vue.createCommentVNode("", true),
                      Vue.createElementVNode("div", ts, [
                        Vue.createElementVNode("span", as, [
                          os,
                          Vue.createTextVNode(Vue.toDisplayString(e.endTime), 1)
                        ]),
                        e.taskType == "task" ? (Vue.openBlock(), Vue.createElementBlock("span", is, [
                          Vue.createTextVNode("处理人："),
                          Vue.createElementVNode("span", ns, Vue.toDisplayString(e.assigneeName), 1)
                        ])) : Vue.createCommentVNode("", true),
                        cs
                      ])
                    ])) : Vue.createCommentVNode("", true),
                    e.taskType == "signTask" ? (Vue.openBlock(), Vue.createElementBlock("div", ps, [
                      e.signTaskList && e.signTaskList.length > 0 ? (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, { key: 0 }, Vue.renderList(e.signTaskList, (i) => (Vue.openBlock(), Vue.createElementBlock("div", _s, [
                        Vue.createElementVNode("div", ls, [
                          Vue.createElementVNode("span", rs, Vue.toDisplayString(i.approveName), 1),
                          Vue.createElementVNode("span", ds, "耗时：" + Vue.toDisplayString(i.duration), 1)
                        ]),
                        i.approveDesc ? (Vue.openBlock(), Vue.createElementBlock("div", hs, [
                          Vue.createElementVNode("div", ms, Vue.toDisplayString(i.approveDesc), 1)
                        ])) : Vue.createCommentVNode("", true),
                        Vue.createElementVNode("div", us, [
                          Vue.createElementVNode("span", ks, [
                            vs,
                            Vue.createTextVNode(Vue.toDisplayString(i.endTime), 1)
                          ]),
                          Vue.createElementVNode("span", ys, [
                            Vue.createTextVNode("处理人："),
                            Vue.createElementVNode("span", Ts, Vue.toDisplayString(i.assigneeName), 1)
                          ]),
                          fs
                        ])
                      ]))), 256)) : (Vue.openBlock(), Vue.createElementBlock("div", gs, Ls))
                    ])) : Vue.createCommentVNode("", true)
                  ]),
                  _: 2
                }, 1024))), 256))
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ]);
    };
  }
}, Vs = /* @__PURE__ */ _pluginVue_exportHelper.default(bs, [["__scopeId", "data-v-269c174b"]]);
exports.default = Vs;
